//@ sourceURL=tabSolicitudAltaPapel0.js
/*!
 * Copyright 2021 E.J.I.E., S.A.
 *
 * Licencia con arreglo a la EUPL, Versión 1.1 exclusivamente (la "Licencia");
 * Solo podrá usarse esta obra si se respeta la Licencia.
 * Puede obtenerse una copia de la Licencia en
 *
 *      http://ec.europa.eu/idabc/eupl.html
 *
 * Salvo cuando lo exija la legislación aplicable o se acuerde por escrito,
 * el programa distribuido con arreglo a la Licencia se distribuye "TAL CUAL",
 * SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
 * Véase la Licencia en el idioma concreto que rige los permisos y limitaciones
 * que establece la Licencia.
 */

jQuery(function($) {
	

	initRupI18nPromise.then(function() {
		initTab();
		init();
		initComponentes();
	});
		
	const initTab = () => {
		$.rup_ajax({
   		 	type:  "GET",
  	        url: $.rup.CTX_PATH + 'expedientes/' +  $('#idExpediente00TabSolicitud').val(),
            contentType: 'application/json',
            beforeSend: function(){
           	Ad74aUtils.cerrarFeedbacks();
				Ad74aUtils.bloquearInterfaz();
			},
			success: function(res){
				expedientes = res;
				expedienteJSON = JSON.parse(res);
				$("#gradoDependencia04_tabSolicitud_detail_table").rup_combo({
					source: $.rup.CTX_PATH + 'combo/gradoDependencia',
					sourceParam: {label: "descripcion", value:"value"},
					loadFromSelect:false,
					selected: () => { 
						return expedienteJSON.dependencia.idGradoDependencia04;
					},
					width: 'auto',
			        ordered: false,
					customClasses: ['select-material'],
					rowStriping: true,
					blank:'',
					onLoadSuccess: function(obj){
						try{							
							console.log(expedienteJSON.dependencia.idGradoDependencia04);
							$("#gradoDependencia04_tabSolicitud_detail_table").rup_combo("select", expedienteJSON.dependencia.idGradoDependencia04);
							$("#gradoDependencia04_tabSolicitud_detail_table").val(expedienteJSON.dependencia.idGradoDependencia04);
							$("#gradoDependencia04_tabSolicitud_detail_table").rup_combo("refresh");
						}catch(e){}
						
					}
				});
				iniciarDireccionContacto(expedienteJSON.direcciones, "dirContacto");	
				//obligatorio
//				$("#dirContactoidprovincia06_detail_table_label").attr('required','required');
//				$("#dirContactoidmunicipio06_detail_table_label").attr('required','required');
//				$("#dirContactoidlocalidad06_detail_table_label").attr('required','required');
//				$("#dirContactoidcalle06_detail_table_label").attr('required','required');
//				$("#dirContactoidportal06_detail_table_label").attr('required','required');
				$("label[for='dirContactocp06_detail_table']").addClass('obligatorio');
				$("label[for='dirContactoidprovincia06_detail_table_label']").addClass('obligatorio');
				$("label[for='dirContactoidmunicipio06_detail_table_label']").addClass('obligatorio');
				$("label[for='dirContactoidlocalidad06_detail_table_label']").addClass('obligatorio');
				$("label[for='dirContactolocalidad06_detail_table']").addClass('obligatorio');
				$("label[for='dirContactoidcalle06_detail_table_label']").addClass('obligatorio');
				$("label[for='dirContactocalle06_detail_table']").addClass('obligatorio');
//				$("label[for='dirContactoidportal06_detail_table_label']").addClass('obligatorio');
				
				iniciarDireccionNotificacion(expedienteJSON.direccionNotif, "dirNot");
				},
				error: function(error){
					console.log("entro en error" + JSON.stringify(error));
					$("#tabSolicitud_form_feedback").rup_feedback('set',error.responseText.replaceAll("\"",""),"error");
				},
				complete: function(){
					Ad74aUtils.desBloquearInterfaz();
				}
  	    });	
	}
		
	const init = () => {
		
		$('#origenCabecera_resumen').text(origenCabecera)
		$('#fregistroCabecera_resumen').text(fregistroCabecera)
		$('#nregistroCabecera_resumen').text(nregistroCabecera)
		$('#fregistroOrigenCabecera_resumen').text(fregistroOrigenCabecera)
		$('#nregistroOrigenCabecera_resumen').text(nregistroOrigenCabecera)
		
		$("#direccionPersInt_form_feedback").rup_feedback ({
			  type: "ok",
			  delay: 3000,
			  fadeSpeed: 600,
			  block: false
			});
		$("#tabSolicitud_form_feedback").rup_feedback ({
		  type: "ok",
		  delay: 3000,
		  fadeSpeed: 600,
		  block: false
		});		
		
		Ad74aUtils.hacerPlegable();
		Ad74aUtils.soloNumericos();
				
		/*
		 * BLOQUE PARA GESTIONAR EL TIPO DE PERSONA DEL REPRESENTANTE (EN SOLICITUDES DE PAPEL0)
		 */
		$('.personaFisicaGrupo').hide();
		$("#razonSocialGrupo").hide();				
		if($("#tipoIdentificadorRep00_tabSolicitud_detail_table").length > 0){
			let tipoPersona = $("#Jur_tipoRep00_tabSolicitud_detail_table").is(':checked')? tipoPersonaJuridica:tipoPersonaFisica;
			if(tipoPersona == tipoPersonaFisica){
				$('#Fis_tipoRep00_tabSolicitud_detail_table').prop("checked",true);//Chequear radio si no venia chequeado
				$('.personaFisicaGrupo').show();
				$("#razonSocialGrupo").hide();
			}else{
				$('.personaFisicaGrupo').hide();
				$("#razonSocialGrupo").show();
			}
			//Se guarda el valor actual del campo tipoIdentificadorRep00, para setearlo una vez se refresca el combo:
			const _valorTipoIdentificadorRep00 = $("#tipoIdentificadorRep00_tabSolicitud_detail_table").val();
			$("#tipoIdentificadorRep00_tabSolicitud_detail_table").rup_combo({
				source: $.rup.CTX_PATH + 'combo/tipoIdentificador?tipoPersona=' + tipoPersona,
				sourceParam: {label: "descripcion", value:"value"},
				width: 'auto',
		        ordered: false,
				customClasses: ['select-material'],
				rowStriping: true,
				blank: '',
				onLoadSuccess: function(obj){
					//Se vuelve a setear el valor que tenia antes de recargarse:
					$("#tipoIdentificadorRep00_tabSolicitud_detail_table").rup_combo("refresh");
					$("#tipoIdentificadorRep00_tabSolicitud_detail_table").rup_combo("select", _valorTipoIdentificadorRep00);
				}
			});
		}
		const  fisicaJuridica = () => {
			let tipoPersona = $("#Jur_tipoRep00_tabSolicitud_detail_table").is(':checked')? tipoPersonaJuridica:tipoPersonaFisica;
			if(tipoPersona == tipoPersonaFisica){//Ocultar/mostrar capas en base a la seleccion
				$('.personaFisicaGrupo').show();
				$("#razonSocialGrupo").hide();
			}else{
				$('.personaFisicaGrupo').hide();
				$("#razonSocialGrupo").show();
			}
			if(tipoPersona != undefined && tipoPersona != ''){
				$("#tipoIdentificadorRep00_tabSolicitud_detail_table").rup_combo("setSource", $.rup.CTX_PATH + 'combo/tipoIdentificador?tipoPersona=' + tipoPersona); 
			}else{
				$("#tipoIdentificadorRep00_tabSolicitud_detail_table").rup_combo("setSource", $.rup.CTX_PATH + 'combo/tipoIdentificador'); 
			}
			$("#tipoIdentificadorRep00_tabSolicitud_detail_table").rup_combo("reload");	
		}
		$("[name='tipoRep00']").change(fisicaJuridica);
		if($('#tipoIdentificadorRep00_tabSolicitud_detail_table').val()==null){
			$('#tipoIdentificadorRep00_tabSolicitud_detail_table').prop("disabled",true);
		}
		
		/* FIN BLOQUE PARA GESTIONAR EL TIPO DE PERSONA DEL REPRESENTANTE (EN SOLICITUDES DE PAPEL0) */
		
		// Borrar los hidden generados con el <form:checkbox/>
		$("input[name='_urgencia00']").remove();
		$("input[name='_isurgencia']").remove();
		$("input[name='_isurgenciatabs']").remove();
		$("input[name='_existeInstalacion00']").remove();
		$("input[name='_perfiles.mayor65Dep07']").remove();
		$("input[name='_perfiles.mayor65RiesgoDep07']").remove();
		$("input[name='_perfiles.mayor75Sola07']").remove();
		$("input[name='_perfiles.disIntelectual07']").remove();
		$("input[name='_perfiles.disFisica07']").remove();
		$("input[name='_perfiles.disSensorial07']").remove();
		$("input[name='_perfiles.enfMental07']").remove();
		$("input[name='_perfiles.riesgoAislamiento07']").remove();
		$("input[name='_autorizacionCon00']").remove();
		$("input[name='_seOpone00']").remove();
		$("input[name='_discapacidad.discapacidadFisica71']").remove();
		$("input[name='_discapacidad.discapacidadIntelecto71']").remove();
		$("input[name='_discapacidad.discapacidadSensorial71']").remove();
		$("input[name='_pdteSolicitarPadron00']").remove();
		$("#recibirDatosUsuario").on("click",FN_recibirDatosUsuario_NISAE);
		$("#verificarPadron").on("click",FN_verificarPadron_NISAE);
		$("#verificarDependencia").on("click",FN_verificarDependencia_NISAE);
		$("#verificarDiscapacidad").on("click",FN_verificarDiscapacidad_NISAE);
		
	}
				
	const initComponentes = () => {
		
		Ad74aUtils.number("#baremo04_tabSolicitud_detail_table",{"type": "decimal", "integers": 3, "negative": false, "currency":false});
		
		
		$('#interoperabilidad').attr('disabled',false);
		$('#fRegistroOtro00_tabSolicitud_detail_table').prop("disabled",false);
		$('#numRegistroOtro00_tabSolicitud_detail_table').prop("disabled",false);
		$('#tlfnoServicio01_tabSolicitud_detail_table, #tfnoNot00_tabSolicitud_detail_table, #tlfnoMovil01_tabSolicitud_detail_table')
		  .keypress(function (event) {
		    // El código del carácter 0 es 48
		    // El código del carácter 9 es 57
		    if (event.which < 48 || event.which > 57 || this.value.length === 9) {
		      return false;
		    }
		  });
		
		$("#noExisteDependencia").hide();
		$("#noExisteDiscapacidad").hide();
		console.log('antes interoperabilidad onloadsuccess' + $('#interoperabilidad').val());
	
		
//		$("#gradoDependencia04_tabSolicitud_detail_table").rup_combo({
//			source: $.rup.CTX_PATH + 'combo/gradoDependencia',
//			sourceParam: {label: "descripcion", value:"value"},
//			loadFromSelect:false,
//			selected: () => { 
//				try { 
//					return JSON.parse(expedientes).dependencia.idGradoDependencia04
//				} catch { return null}
//			},
//			width: 'auto',
//	        ordered: false,
//			customClasses: ['select-material'],
//			rowStriping: true,
//			blank:'',
//			onLoadSuccess: function(obj){
//				console.log(JSON.parse(expedientes));
//				try { 
//					//return JSON.parse(expedientes).dependencia.idGradoDependencia04
//					console.log();
//					$("#gradoDependencia04_tabSolicitud_detail_table").rup_combo("select", JSON.parse(expedientes).dependencia.idGradoDependencia04);
//				} catch { return null}
//				
//			}
//		});
		
		$('#fResolucion04_tabSolicitud_detail_table').rup_date({
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
			disabled : false
		});
		
		
		// Comprobar si el identificador es el por defecto usado al crear el expediente desde la bandejaP0
		if( IDENTIFICADOR_DEFECTO == $("#identificador01_tabSolicitud_detail_table").val()) {
			$("#identificador01_tabSolicitud_detail_table").val("");
		}
		
		$('#fNacimiento01_tabSolicitud_detail_table').rup_date({
			yearRange: '1900:c',
			mask: 'dd/mm/yyyy',
			showButtonPanel : true,
			showOtherMonths : true,
		});
		Ad74aUtils.configCombo($("#urgenciaDetailPapel0"), {
			loadFromSelect: true,
			ordered: true,
			onLoadSuccess: function(obj){
				$('#urgenciaDetailPapel0').rup_combo('refresh');
			}
		});	

		$('#fRegistroOtro00_tabSolicitud_detail_table').rup_date({
			datetimepicker:true,
			placeholderMask : true,
			mask: 'dd-MM-yyyy HH:mm:ss.S',
	        showSecond:true,
			showButtonPanel : true,
			showOtherMonths : true,
	        dateFormat: 'dd/mm/yy',
	        timeFormat: 'HH:mm:ss'
		});
		$('#fRegistro00_tabSolicitud_detail_table').rup_date({
			datetimepicker:true,
			placeholderMask : true,
			mask: 'dd-MM-yyyy HH:mm:ss.S',
	        showSecond:true,
			showButtonPanel : true,
			showOtherMonths : true,
	        dateFormat: 'dd/mm/yy',
	        timeFormat: 'HH:mm:ss'
		});
		$("#fRegistro00_tabSolicitud_detail_table").rup_date("disable");
		$("#tipoIdentificador01_tabSolicitud_detail_table option[value='"+tipoIdentCIFVal+"']").remove();
		$("#tipoIdentificador01_tabSolicitud_detail_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank: '',
			onLoadSuccess: function(obj){
				let comboValue = $('#tipoIdentificador01_tabSolicitud_detail_table').find(":selected").val();
				$("#tipoIdentificador01_tabSolicitud_detail_table").rup_combo("clear");
				$("#tipoIdentificador01_tabSolicitud_detail_table").rup_combo("select", comboValue);
			}
		});
		Ad74aUtils.FN_controlMaxDni($("#tipoIdentificador01_tabSolicitud_detail_table"),$("#identificador01_tabSolicitud_detail_table"));
		
		$("#tipoIdentificador01_tabSolicitud_detail_table").on("change", function() { 
			Ad74aUtils.FN_controlMaxDni($("#tipoIdentificador01_tabSolicitud_detail_table"),$("#identificador01_tabSolicitud_detail_table"));
		});
		
		$("#identificador01_tabSolicitud_detail_table").blur( function() { 
			$("#tabSolicitud_form").validate().element('#tipoIdentificador01_tabSolicitud_detail_table');
			$("#tabSolicitud_form").validate().element('#identificador01_tabSolicitud_detail_table');
			if($("#identificador01_tabSolicitud_detail_table").valid()){
				FN_comprobarSolicitante();
			}/*else{
				$("#apellido101_tabSolicitud_detail_table").val("");
				$("#apellido201_tabSolicitud_detail_table").val("");
				$("#nombre01_tabSolicitud_detail_table").val("");
				$("#fNacimiento01_tabSolicitud_detail_table").val("");
				$('input[name="solicitantes.sexo01"]').removeAttr("checked");
			}*/
		});		
		
		$("#tipoIdenCon00_tabSolicitud_detail_table option[value='"+tipoIdentCIFVal+"']").remove();
		$("#tipoIdenCon00_tabSolicitud_detail_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
			ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank: '',
			onLoadSuccess: function(obj){
				let comboValue = $('#tipoIdenCon00_tabSolicitud_detail_table').find(":selected").val();
				$("#tipoIdenCon00_tabSolicitud_detail_table").rup_combo("clear");
				$("#tipoIdenCon00_tabSolicitud_detail_table").rup_combo("select", comboValue);

			}
		});
		Ad74aUtils.FN_controlMaxDni($("#tipoIdenCon00_tabSolicitud_detail_table"),$("#identificadorCon00_tabSolicitud_detail_table"));
		$("#tipoIdenCon00_tabSolicitud_detail_table").on("change", function() { 
			Ad74aUtils.FN_controlMaxDni($("#tipoIdenCon00_tabSolicitud_detail_table"),$("#identificadorCon00_tabSolicitud_detail_table"));
		});
		
		$("#identificadorCon00_tabSolicitud_detail_table").blur(function() { 
			$("#tabSolicitud_form").validate().element('#tipoIdenCon00_tabSolicitud_detail_table');
			$("#tabSolicitud_form").validate().element('#identificadorCon00_tabSolicitud_detail_table');
		});
		
		// Validaciones sobre campos de representante
		Ad74aUtils.FN_controlMaxDni($("#tipoIdentificadorRep00_tabSolicitud_detail_table"),$("#identificadorRep00_tabSolicitud_detail_table"));
		$("#tipoIdentificadorRep00_tabSolicitud_detail_table").on("change", function() { 
			Ad74aUtils.FN_controlMaxDni($("#tipoIdentificadorRep00_tabSolicitud_detail_table"),$("#identificadorRep00_tabSolicitud_detail_table"));
		});
		
		jQuery.validator.addMethod("checkPisosTutelados", function(value, element,a) {			
			return ($("#SI_pisoTutelado07_tabSolicitud_detail_table").prop("checked") && $("#idPiso32_tabSolicitud_detail_table").val() != null && $("#idPiso32_tabSolicitud_detail_table").val() != '') || $("#NO_pisoTutelado07_tabSolicitud_detail_table").prop("checked") ;						
		 },$.rup.i18n.base.rup_validate.messages.required);

		
		jQuery.validator.addMethod("validarCheckboxPerfiles", function(value, element,a) {
			 return comprobarSeleccionPerfiles();	
		 }, $.rup.i18n.app.errores.perfilPersonaInteresadaNoSeleccionado);
		
		jQuery.validator.addMethod("requiredCP", function(value, element, params) {
			 if(params.length != 2) {
				 return false;
			 }
			 const current 	= $("[name='"+ params[0]+"']").val();
			 const compareTo = $("[name='"+ params[1]+"']").val();
			 return (current== "" && compareTo == "");// || compareTo != "";	
		 }, $.rup.i18n.base.rup_validate.messages.required);
		 
		 jQuery.validator.addMethod("requiredCPNot", function(value, element, params) {
			 if($("#P_idTipoNot00_tabSolicitud_detail_table").is(':checked')){
				 if(params.length != 2) {
					 return false;
				 }
				 const current 	= $("[name='"+ params[0]+"']").val();
				 const compareTo = $("[name='"+ params[1]+"']").val();
				 return (current!= "" && compareTo != "") || compareTo != "";	
			 }
			 return true;
		 }, $.rup.i18n.base.rup_validate.messages.required);
		
		 
		 jQuery.validator.addMethod("requiredNot", function(value, element,a) {
			 if(!$("#P_idTipoNot00_tabSolicitud_detail_table").is(':checked')){
				 return true;
			 }			 
			 return value != "" && value != null && value != undefined;
		 },$.rup.i18n.base.rup_validate.messages.required);
		 
		 jQuery.validator.addMethod("requiredPortalNot", function(value, element,a) {
			 if($("#P_idTipoNot00_tabSolicitud_detail_table").is(':checked')){
				 if(element.id == 'dirNotportal06_detail_table' && ($("#dirNotportal06_detail_table").val() != ''  || $("#dirNotidportal06_detail_table").rup_autocomplete("getRupValue") != '')){
					 return false;
				 }else if(element.id == 'dirNotidportal06_detail_table' && $("#dirNotidportal06_detail_table").rup_autocomplete("getRupValue")!= ''  ||  $("#dirNotportal06_detail_table").val() != '' ){
					 return false;
				 }else {
					 return true;
				 }
			 }			 		 
			 return true;
		 },$.rup.i18n.base.rup_validate.messages.required);
		 
		 jQuery.validator.addMethod("requiredPortal", function(value, element,a) {
			 
			 if(element.id == 'dirContactoportal06_detail_table' && ($("#dirContactoportal06_detail_table").val() != ''  ||  $("#dirContactoidportal06_detail_table").rup_autocomplete("getRupValue") != '')){
				 return false;
			 }else if(element.id == 'dirContactoidportal06_detail_table_label' && $("#dirContactoidportal06_detail_table").rup_autocomplete("getRupValue") != ''  || $("#dirContactoportal06_detail_table").val() != '' ){
				 return false;
			 }else {
				 return true;
			 }
		
		 },$.rup.i18n.base.rup_validate.messages.required);
		 
		 jQuery.validator.addMethod("requiredCalleNot", function(value, element,a) {
			 if($("#P_idTipoNot00_tabSolicitud_detail_table").is(':checked')){
				 if(element.id == 'dirNotcalle06_detail_table' && ($("#dirNotcalle06_detail_table").val() != ''  ||  $("#dirNotidcalle06_detail_table").rup_autocomplete("getRupValue") !='')){
					 return false;
				 }else if(element.id == 'dirNotidcalle06_detail_table' && $("#dirNotidcalle06_detail_table").rup_autocomplete("getRupValue") != ''  || $("#dirNotcalle06_detail_table").val()!= '' ){
					 return false;
				 }else {
					 return true;
				 }
			 }			 
			 return true;
		 },$.rup.i18n.base.rup_validate.messages.required);
		 jQuery.validator.addMethod("requiredCalle", function(value, element,a) {
			
			 if(element.id == 'dirContactocalle06_detail_table' && ($("#dirContactocalle06_detail_table").val() != ''  || $("#dirContactoidcalle06_detail_table").rup_autocomplete("getRupValue") != '')){
				 return true;
			 }else if(element.id == 'dirContactoidcalle06_detail_table_label' && $("#dirContactoidcalle06_detail_table").rup_autocomplete("getRupValue") != ''  || $("#dirContactocalle06_detail_table").val() != '' ){
				 return true;
			 }else {
				 return false;
			 }
		
		 },$.rup.i18n.base.rup_validate.messages.required);
		 
		 
		$("#identificadorRep00_tabSolicitud_detail_table").blur(function() { 
			$("#tabSolicitud_form").validate().element('#tipoIdentificadorRep00_tabSolicitud_detail_table');
			$("#tabSolicitud_form").validate().element('#identificadorRep00_tabSolicitud_detail_table');
		});
		
		$("#tipoIdenTitular05_tabSolicitud_detail_table").rup_combo({
			loadFromSelect:true,
			width: 'auto',
	        ordered: false,
			customClasses: ['select-material'],
			rowStriping: true,
			blank: '',
			change: function(){
			},
			onLoadSuccess: function(obj){
				let comboValue = $('#tipoIdenTitular05_tabSolicitud_detail_table').find(":selected").val();
				$("#tipoIdenTitular05_tabSolicitud_detail_table").rup_combo("clear");
				$("#tipoIdenTitular05_tabSolicitud_detail_table").rup_combo("select", comboValue);
				if($("#idenTitular05_tabSolicitud_detail_table").val() == ""){
					$("#tipoIdenTitular05_tabSolicitud_detail_table").rup_combo("select", "");

			}
			}
		});		
		
		Ad74aUtils.FN_controlMaxDni($("#tipoIdenTitular05_tabSolicitud_detail_table"),$("#idenTitular05_tabSolicitud_detail_table"));
		$("#tipoIdenTitular05_tabSolicitud_detail_table").on("change", function() { 
			Ad74aUtils.FN_controlMaxDni($("#tipoIdenTitular05_tabSolicitud_detail_table"),$("#idenTitular05_tabSolicitud_detail_table"));
		});
		$("#idenTitular05_tabSolicitud_detail_table").blur(function() { 
			$("#tabSolicitud_form").validate().element('#tipoIdenTitular05_tabSolicitud_detail_table');
			$("#tabSolicitud_form").validate().element('#idenTitular05_tabSolicitud_detail_table');
		});
		
					
			
		
		 /***************************/
		 /* VALIDADOR DE FORMULARIO */
		 /***************************/
		
		
		 /***********************************/
		 /* CONTROL VISUALIZACION DE CAMPOS */
		 /***********************************/
		
		FN_controlInteroperabilidad();
		$('#seOpone00_tabSolicitud_detail_table').change(FN_controlInteroperabilidad);
		
		FN_controlRadioPisoTutelado();
		$('[name="perfiles.pisoTutelado07"]').change(FN_controlRadioPisoTutelado);
		
		FN_controlUrgencia();
		$('#urgencia00_tabSolicitud_detail_table').on("change", FN_controlUrgencia);
		
		FN_controlTipoNot00();
		$("[name='idTipoNot00']").change(FN_controlTipoNot00);
		
		FN_controlCanalNot();
		$("[name='canalNot00']").change(FN_controlCanalNot);
		
		FN_controlRepresentante();
		$("[name='presentaSol00']").change(FN_controlRepresentante );
		
		FN_controlConyuge();
		$("[name='exencionSol00']").change(FN_controlConyuge);
		
		
		
		$("#mayor75Sola07_detail_table").change(function(){
			if(document.getElementById('mayor75Sola07_detail_table').checked){
				$("#mayor65RiesgoDep07_detail_table").removeAttr("checked")
			}		
		})
		
		$("#mayor65RiesgoDep07_detail_table").change(function(){
			if(document.getElementById('mayor65RiesgoDep07_detail_table').checked){
				$("#mayor75Sola07_detail_table").removeAttr("checked")
			}		
		})
		/*Validacion JS*/
		jQuery.validator.addMethod("validarIdentificadorPInteresada", function(value, element,a) {
			 return Ad74aUtils.validarCampoIdentificador($("#tipoIdentificador01_tabSolicitud_detail_table").val(),$("#identificador01_tabSolicitud_detail_table").val());	
		 }, $.rup.i18n.app.errores.dniNoValido);
		jQuery.validator.addMethod("validarIdentificadorPRepresentante", function(value, element,a) {
			 return Ad74aUtils.validarCampoIdentificador($("#tipoIdentificadorRep00_tabSolicitud_detail_table").val(),$("#identificadorRep00_tabSolicitud_detail_table").val());	
		 }, $.rup.i18n.app.errores.dniNoValido);
		jQuery.validator.addMethod("validarIdentificadorConyuge", function(value, element,a) {
			 return Ad74aUtils.validarCampoIdentificador($("#tipoIdenCon00_tabSolicitud_detail_table").val(),$("#identificadorCon00_tabSolicitud_detail_table").val());	
		 }, $.rup.i18n.app.errores.dniNoValido);
		jQuery.validator.addMethod("validarIdentificadorDbancarios", function(value, element,a) {
			 return Ad74aUtils.validarCampoIdentificador($("#tipoIdenTitular05_tabSolicitud_detail_table").val(),$("#idenTitular05_tabSolicitud_detail_table").val());	
		 }, $.rup.i18n.app.errores.dniNoValido);
		jQuery.validator.addMethod("numCuentaCorrecto", function(value, element,a) {
    		if($("#numCuenta05_tabSolicitud_detail_table").val()!='' && Ad74aUtils.validarIBAN($("#numCuenta05_tabSolicitud_detail_table").val())){
				return true;
			}
			return false;						
		 },$.rup.i18n.app.validaciones.IbanFormatoIncorrecto);
		
		$("#tabSolicitud_form").rup_validate({
		 feedback:$("#solicitud_form_feedback"),
			liveCheckingErrors: false,
			showFieldErrorAsDefault: true,
			showErrorsInFeedback: true,
			showFieldErrorsInFeedback: true,			
		 rules:{
			  "presentaSol00":{required:true}, 
			  "solicitantes.apellido101":{required:true}, 
			  "solicitantes.nombre01":{required:true},      
		      "solicitantes.sexo01":{required: true},
		      "solicitantes.tipoIdentificador01":{required:true},
		      "solicitantes.identificador01":{required:true},
		      "solicitantes.fNacimiento01":{required:true,date:true},
		      "direcciones.cp06":{required:true},
			  "direcciones.idProvincia06_label":{required:true},
		      "direcciones.idMunicipio06_label":{required:true},
			  "direcciones.localidad06":{ 
				  required:function(){
					  return $("[name='direcciones.idLocalidad06_label']").val()=='';
				  }/*required: true, requiredCP: ["direcciones.localidad06", "direcciones.idLocalidad06_label"]*/
		      },       
			  "direcciones.idLocalidad06_label":{ 
				  required:function(){
					  return $("[name='direcciones.localidad06']").val()=='';
				  }
		      		/*required: true, requiredCP: ["direcciones.idLocalidad06_label", "direcciones.localidad06"]*/
		      },     
			  "direcciones.calle06":{ 
				  required:function(){
					  return $("[name='direcciones.idCalle06_label']").val()=='';
				  }
				  /*requiredCalle : true,requiredCP: ["direcciones.calle06", "direcciones.idCalle06_label"]*/
			  },   
			  "direcciones.idCalle06_label":{
				  required:function(){
					  return $("[name='direcciones.calle06']").val()=='';
				  }
			  /*requiredCalle : true, requiredCP: ["direcciones.idCalle06_label", "direcciones.calle06"]*/}, 
//			  "direcciones.portal06":{required:function(){return $("[name='direcciones.idPortal06_label']").val()=='';}/*requiredPortal : true , requiredCP: ["direcciones.portal06", "direcciones.idPortal06_label"]*/},
//			  "direcciones.idPortal06_label":{ required:function(){return $("[name='direcciones.portal06']").val()=='';}/*requiredPortal : true /*,requiredCP: ["direcciones.idPortal06_label", "direcciones.portal06"]*/},
//			  "direccionNotif.localidad06":{ /*requiredNot : true,*/requiredCPNot: ["direccionNotif.localidad06", "direccionNotif.idLocalidad06"]},
//			  "direccionNotif.idLocalidad06":{ /*requiredNot : true,*/requiredCPNot: ["direccionNotif.idLocalidad06", "direccionNotif.localidad06"]},

		      "direccionNotif.cp06":{required:true},
		      "direccionNotif.idProvincia06_label":{
		    	  required:function(){
		    		  return $("#P_idTipoNot00_tabSolicitud_detail_table").is(':checked');
		    	  }
		      },
		      "direccionNotif.idMunicipio06_label":{
		    	  required:function(){
		    		  return $("#P_idTipoNot00_tabSolicitud_detail_table").is(':checked');
		    	  }
		      },
		      "direccionNotif.localidad06":{ 
		    	  required:function(){
		    		  return $("#P_idTipoNot00_tabSolicitud_detail_table").is(':checked') && $("[name='direccionNotif.idLocalidad06_label']").val()=='';
		    	  }
		      },       
			  "direccionNotif.idLocalidad06_label":{
		    	  required:function(){
		    		  return $("#P_idTipoNot00_tabSolicitud_detail_table").is(':checked') && $("[name='direccionNotif.localidad06']").val()=='';
		    	  }
		      },
		      "direccionNotif.calle06":{ 
		    	  required:function(){
		    		  return $("#P_idTipoNot00_tabSolicitud_detail_table").is(':checked') && $("[name='direccionNotif.idCalle06_label']").val()=='';
		    	  }
		      },   
			  "direccionNotif.idCalle06_label":{
				  required:function(){
					  return $("#P_idTipoNot00_tabSolicitud_detail_table").is(':checked') && $("[name='direccionNotif.calle06']").val()=='';
					  }
		      }, 
//			  "direccionNotif.portal06":{
//				  required:function(){
//					  return $("#P_idTipoNot00_tabSolicitud_detail_table").is(':checked') && $("[name='direccionNotif.idPortal06_label']").val()=='';
//				  }
//		      },
//			  "direccionNotif.idPortal06_label":{ 
//				  required:function(){
//					  return $("#P_idTipoNot00_tabSolicitud_detail_table").is(':checked') && $("[name='direccionNotif.portal06']").val()=='';
//				  }
//		      },
		      //"direcciones.idCalle06":{required:true},
		      //"direcciones.idPortal06":{required:true},
		      //"direcciones.piso06":{required:true},
		      "solicitantes.tlfnoServicio01":{required:true},
		      //"solicitantes.email01":{required:true},
		      "perfiles.pisoTutelado07":{checkPisosTutelados:true},
		      //"tipoRep00":{required:true},
		      "idiomaNot00":{required:true},
		      "canalNot00":{required:true},
		      "exencionSol00":{required:true},
		      "cuentas.codTipoIdenTitular05":{required:true},
		      "cuentas.idenTitular05":{required:true},
		      "cuentas.nombreTitCuenta05":{required:true},
		      "cuentas.apellido1TitCuenta05":{required:true},
//		      "cuentas.numCuenta05":{numCuentaCorrecto:true, required:true},
		      "cuentas.numCuenta05":{numCuentaCorrecto:true},
		      "solicitantes.tipoIdentificador01":{required:true},
		      "solicitantes.identificador01":{validarIdentificadorPInteresada:true},
		      "tipoIdentificadorRep00":{required:true},
		      "identificadorRep00":{validarIdentificadorPRepresentante:true},
		      "tipoIdenCon00":{required:true},
		      "identificadorCon00":{validarIdentificadorConyuge:true},
		      "cuentas.codTipoIdenTitular05":{required:true},
		      "cuentas.idenTitular05":{validarIdentificadorDbancarios:true},
		      "solicitantes.email01":{email:true},
		      "emailNot00":{email:true},
		      //perfiles.mayor75Sola07 se utilizara para validar todos los checkbox
			  "perfiles.mayor75Sola07":{validarCheckboxPerfiles:true}
		      
		      
		 },
	});
				
		$("#tabSolicitud_form [ruptype='date']").blur(function(elem) { 

			if(!$(elem.target).valid()){
                $(elem.target).val('')
            }

		});
		
		$("#numCuenta05_tabSolicitud_detail_table").blur(function(elem) { 
			$(elem.target).valid();
		});
		
		
		 /*****************/
		 /* BOTON GUARDAR */
		 /*****************/
		// GUARDAR
//	    $("#tabSolicitud_guardar").on("click", function(){
//	    	if($("#tabSolicitud_form").valid()){
//	    		
//	    		
//	    		Ad74aUtils.cerrarFeedbacks();
//		    	$("#tabSolicitud_form").rup_validate("resetElements");
//		    	let data = {};
//		    	data = $("#tabSolicitud_form").rup_form("formToJson");
//		    	
//		    	
//		    	var msgErrorInicio = "<ul class='rup-maint_feedbackUL'><br/>";
//		    	var msgErrorFin = '</ul>';
//		    	var msgError = '';
//		    	
//		    	if(msgError == ''){
//		    		$.rup_ajax({
//			    		 type:  "PUT",
//			   	         url: $.rup.CTX_PATH + 'solicitantes/edit',
//			   	         data: JSON.stringify(data),
//			             contentType: 'application/json',
//			             beforeSend: function(){
//			            	Ad74aUtils.cerrarFeedbacks();
//							Ad74aUtils.bloquearInterfaz();
//						},
//		   			success: function(res){
//		   				$("#tabSolicitud_form_feedback").rup_feedback('set',$.rup.i18n.app.feedback.modificadoOK,'ok');
//		   				},
//							error: function(error){
//								$("#tabSolicitud_form_feedback").rup_feedback('set',error.responseJSON.replaceAll("\"",""),"error");
//							},
//							complete: function(){
//								Ad74aUtils.desBloquearInterfaz();
//							}
//			   	    });
//		    	}else{
//
//					$("#tabSolicitud_form_feedback").rup_feedback('set',msgErrorInicio+msgError+msgErrorFin,"error");
//		    	}
//		    	
//	    	}
//	    	
//	    });
		
		$("#tabSolicitud_guardar").on("click", guardarTabSolicitud);
		
		
	}
		
	const guardarTabSolicitud = () => {
		
		Ad74aUtils.cerrarFeedbacks();
		$("#tabSolicitud_form").rup_validate("resetElements");
		//eliminar errores autocompletes
		$("#tabSolicitud_form #dirContacto_direccionAutocomplete .rup-validate-field-error").removeClass("rup-validate-field-error");
		$("#tabSolicitud_form #dirContacto_direccionAutocomplete .mdi.error").remove();
		$("#tabSolicitud_form #dirContacto_direccionAutocomplete span.error").remove();
		$("#tabSolicitud_form #dirContacto_direccionAutocomplete .error").removeClass("error");
		$("#tabSolicitud_form #dirNot_direccionAutocomplete .rup-validate-field-error").removeClass("rup-validate-field-error");
		$("#tabSolicitud_form #dirNot_direccionAutocomplete .mdi.error").remove();
		$("#tabSolicitud_form #dirNot_direccionAutocomplete span.error").remove();
		$("#tabSolicitud_form #dirNot_direccionAutocomplete .error").removeClass("error");
		$("#tabSolicitud_form").valid();
		
		let filtered = false;	
		const validator = $("#tabSolicitud_form").validate();
		const errorList = validator.errorList;
		try{
			
			filtered =  errorList.find((el) => {
				return el.method == 'numCuentaCorrecto';
			});
		}catch(err){}
		
		if(errorList.length == 0 || (errorList.length == 1 && filtered)){		
			let data = {};
			data.expediente = $("#tabSolicitud_form").rup_form("formToJson");
			//Quitamos el formato moneda 
			if(data.expediente != null && data.expediente != undefined 
					&& data.expediente.dependencia!= null && data.expediente.dependencia != undefined 
					&& data.expediente.dependencia.baremo04 != null && data.expediente.dependencia.baremo04 != undefined){
				data.expediente.dependencia.baremo04 =  data.expediente.dependencia.baremo04;
			}
			
			data.finalizar = false;
			//data = $("#tabSolicitud_form").rup_form("formToJson");
			$.rup_ajax({
				type:  "PUT",
				url: $.rup.CTX_PATH + 'bandejapapel0/tabSolicitud/edit',
				data: JSON.stringify(data),
				contentType: 'application/json',
				beforeSend: function(){
					Ad74aUtils.cerrarFeedbacks();
					Ad74aUtils.bloquearInterfaz();
				},
				success: function(res){
					try {
						$("#tabSolicitud_form_feedback").rup_feedback("destroy");
					} catch (error) {}
					
					$("#tabSolicitud_form_feedback").rup_feedback(
							{
								type: "ok",
								block: false,
								delay: 3000,
								fadeSpeed: 600,
							}
					);
					console.log("entro en success");
					
					res = JSON.parse(res);
					$("#idDireccion06NotifTabSolicitud").val(res.direccionNotif.idDireccion06);
					$("#idSolicitante01TabSolicitud").val(res.solicitantes.idSolicitante01);
					$("#idDireccion06TabSolicitud").val(res.direcciones.idDireccion06);
					$("#idCuenta05TabSolicitud").val(res.cuentas.idCuenta05);
					$("#idPerfil07TabSolicitud").val(res.perfiles.idPerfil07);
		
					$('#solicitud_form_feedback').rup_feedback("option", "delay", 3000);
					$("#solicitud_form_feedback").rup_feedback('set',$.rup.i18n.app.feedback.modificadoOK,'ok');
				},
				error: function(error){
					$('#solicitud_form_feedback').rup_feedback("option", "delay", null);
					console.log("entro en error" + JSON.stringify(error));
					$("#solicitud_form_feedback").rup_feedback('set',error.responseText.replaceAll("\"",""),"error");
				},
				complete: function(){
					Ad74aUtils.desBloquearInterfaz();
				}
			});		 
		}
    }
	
	/*function FN_controlVisivilidadIdiomaServicio01(){
		if($("#OTROS_idiomaServicio01_tabDatosBeneficiarios_detail_table").prop("checked")){
			$("#divOtroIdioma01").show();
		}else{
			$("#divOtroIdioma01").hide()
		}
	}*/
	const FN_comprobarSolicitante = () => {
		Ad74aUtils.pintarAvisoInteroperabilidad("aviso_usuario", "", "");
		const identificadorSolicitante = $("#identificador01_tabSolicitud_detail_table").val();
		if(identificadorSolicitante  != null && identificadorSolicitante.trim() != ''){
			$.rup_ajax({
	   		 	type:  "POST",
	  	        url: $.rup.CTX_PATH + 'bandejapapel0/existeSolicitante/' + identificadorSolicitante + '/' +idProcedimiento00,
	            contentType: 'application/json',
	            beforeSend: function(){
	           	Ad74aUtils.cerrarFeedbacks();
					Ad74aUtils.bloquearInterfaz();
				},
				success: function(res){
					if(res == 0){
						//Ad74aUtils.pintarAvisoInteroperabilidad("aviso_usuario", "nook", $.rup.i18n.app.errores.dniNoEncontrado);
						$('#idSolicitante01_informes_dialog_table').val('');
						$('#nombre01_tabSolicitud_detail_table').val('');
				        $('#apellido101_tabSolicitud_detail_table').val('');
				        $('#apellido201_tabSolicitud_detail_table').val('');
				        $("#fNacimiento01_tabSolicitud_detail_table").val('');
					}else if(res == 1){
							Ad74aUtils.pintarAvisoInteroperabilidad("aviso_usuario", "warning", "El solicitante existe como beneficiario activo");
							FN_recibirBeneficiario();
					}else if(res == 2){
						Ad74aUtils.pintarAvisoInteroperabilidad("aviso_usuario", "warning", "Existe un expediente abierto del mismo tipo para el beneficiario indicado.");
						FN_recibirBeneficiario();
					}else if(res == 3){
						Ad74aUtils.pintarAvisoInteroperabilidad("aviso_usuario", "warning", "El solicitante existe como beneficiario dado de baja");
						FN_recibirBeneficiario();
					}else{
						//Ad74aUtils.pintarAvisoInteroperabilidad("aviso_usuario", "warning", "El beneficiario ya existe");
						Ad74aUtils.pintarAvisoInteroperabilidad("aviso_usuario", "warning", "");
						FN_recibirBeneficiario();
					}
					Ad74aUtils.desBloquearInterfaz();
				},
				error: function(error){
					Ad74aUtils.pintarAvisoInteroperabilidad("aviso_usuario", "nook", error.responseJSON.replaceAll("\"",""));
					Ad74aUtils.desBloquearInterfaz();
				},
				complete: function(){
					Ad74aUtils.desBloquearInterfaz();
				}
	  	    });		 
		}
	}
	const FN_recibirBeneficiario = () => {
		$.rup_ajax({
            url: $.rup.CTX_PATH +"inicioOficio/obtenerDatosBeneficiario/"+ $("#identificador01_tabSolicitud_detail_table").val() ,
            type: "POST",                   
            dataType: 'json',
            
				beforeSend: function() {
					Ad74aUtils.bloquearInterfaz();
              },
              complete: function() {
              	//Sólo se desbloquea al fallar para prevenir doble click	                	
              },
            success: function (data){
				$('#idSolicitante01_informes_dialog_table').val('');
				$('#nombre01_tabSolicitud_detail_table').val('');
		        $('#apellido101_tabSolicitud_detail_table').val('');
		        $('#apellido201_tabSolicitud_detail_table').val('');
				if(data.idSolicitante01!=null){
					$('#nombre01_tabSolicitud_detail_table').val(data.nombre01);
			        $('#apellido101_tabSolicitud_detail_table').val(data.apellido101);
			        $('#apellido201_tabSolicitud_detail_table').val(data.apellido201);
			        $("#fNacimiento01_tabSolicitud_detail_table").val(data.fNacimiento01);
                    if(data.sexo01 == 'M'){
                        $("#M_sexo01_tabSolicitud_detail_table").click()
                    }else{
                        $("#H_sexo01_tabSolicitud_detail_table").click()
                    }

					$('.datosNuevoBeneficiario').hide();
					$('.datosBeneficiario').show();
					
				}
				Ad74aUtils.desBloquearInterfaz();
            },
            error: function(error){ 
				Ad74aUtils.desBloquearInterfaz();
				$('#solicitud_form_feedback').rup_feedback("option", "delay", null);
				$("#solicitud_form_feedback").rup_feedback('set',error.responseText.replaceAll("\"",""),"error");
		      }

      });	 
	}
	const FN_obtenerDireccionPisoTutelado = (idPiso32) => {
		let url =  $.rup.CTX_PATH + 'bandejapapel0/obtenerDireccionPisoTutelado';
		let calle =  $("#dirContactoidcalle06_detail_table").rup_autocomplete('getRupValue');
		let municipio = $("#dirContactoidmunicipio06_detail_table").rup_autocomplete('getRupValue');
		let provincia = $("#dirContactoidprovincia06_detail_table").rup_autocomplete('getRupValue');
		let cp = $("#dirContactocp06_detail_table").val();
		let data = {};
		data.idPiso32 = idPiso32;
		data.calle = calle;
		data.municipio = municipio;
		data.provincia = provincia;
		data.cp = cp;
		$.rup_ajax({
			url: url,
			type: 'POST',
			data: JSON.stringify(data),
			contentType: 'application/json',
			dataType: 'json',
			success: function (res) {
				
				$('#resultadoPisoTutelado').html("Las direcciones no coinciden --> " + res);
				$("#resultadoPisoTutelado").css("color", "red");
				$( "#recuadroResultadoPisoTutelado" ).removeClass("ok");
				$("#recuadroResultadoPisoTutelado").addClass("aviso_interoperabilidad nook");
				$("#recuadroResultadoPisoTutelado").css("border-radius: 3px");
			},
			error: function (error) {
				console.log("Error");
			}	
		});
	}
	const FN_verificarDireccionPisoTutelado = () => {
		let url =  $.rup.CTX_PATH + 'bandejapapel0/verificarPisoTutelado';
		let letra = $("#dirContactoletra06_detail_table").val();
		let calle = $("#dirContactoidcalle06_detail_table").rup_autocomplete('getRupValue');
		let portal = $("#dirContactoidportal06_detail_table").rup_autocomplete('getRupValue');  
		let piso = $("#dirContactopiso06_detail_table").val();  
		let idPiso32 = $('#idPiso32_tabSolicitud_detail_table').val();
		if( calle != '' && portal != ''  && (idPiso32 != 'true'&& idPiso32 != '') ){
			 let data = {};
			 data.letra = letra;
			 data.calle = calle;
			 data.portal = portal;
			 data.piso = piso;
			 data.idPiso32 = idPiso32;
			 $.rup_ajax({
					url: url,
					type: 'POST',
					data: JSON.stringify(data),
					contentType: 'application/json',
					dataType: 'json',
					success: function (res) {
						if(res == true){
							$('#resultadoPisoTutelado').html("Las direcciones coinciden");
							$("#resultadoPisoTutelado").css("color", "green");
							$( "#recuadroResultadoPisoTutelado" ).removeClass("nook");
							$("#recuadroResultadoPisoTutelado").addClass("aviso_interoperabilidad ok");
							$("#recuadroResultadoPisoTutelado").css("border-radius: 3px");
						}else{
							FN_obtenerDireccionPisoTutelado(idPiso32);
						}
					},
					error: function (error) {
						console.log("Error");
					}	
				});
		}else{
			if(idPiso32 == 'true' || idPiso32 == ''){
				$('#resultadoPisoTutelado').html("Seleccione un piso tutelado valido");
				$("#resultadoPisoTutelado").css("color", "red");
				$( "#recuadroResultadoPisoTutelado" ).removeClass("ok");
				$("#recuadroResultadoPisoTutelado").addClass("aviso_interoperabilidad nook");
				$("#recuadroResultadoPisoTutelado").css("border-radius: 3px");
			}else{
				FN_obtenerDireccionPisoTutelado(idPiso32);
			}
		}
		
	}
	const FN_controlInteroperabilidad = () => {
		if($('#seOpone00_tabSolicitud_detail_table').is(':checked')){
			$('#verificarDependencia').prop('disabled',true);
			$('#verificarDiscapacidad').prop('disabled',true);
			$('#recibirDatosUsuario').prop('disabled',true);
			$('#verificarPadron').prop('disabled',true);
		}else{
			$('#verificarDependencia').prop('disabled',false);
			$('#verificarDiscapacidad').prop('disabled',false);
			$('#recibirDatosUsuario').prop('disabled',false);
			$('#verificarPadron').prop('disabled',false);
		}
	}
	
	function FN_controlRadioPisoTutelado(){
		console.log("FN_controlRadioPisoTutelado");
		if($("#SI_pisoTutelado07_tabSolicitud_detail_table").is(":checked")){
			
			$("#pisosTuteladosGrupo").show();
			$("#resultadoPisoTutelado").show();
			
			
		}else{
			$("#pisosTuteladosGrupo").hide();
			
			$("#resultadoPisoTutelado").hide();
			
		}
	}
	function comprobarSeleccionPerfiles() {
	    var checkboxes = document.querySelectorAll('input[type="checkbox"][name^="perfiles."]');
	    for (var i = 0; i < checkboxes.length; i++) {
	        if (checkboxes[i].checked) {
	            return true;
	        }
	    }
	    return false;
	}
	function FN_controlUrgencia() {
	    // Comprobamos si el checkbox está seleccionado
	    if ($('#urgencia00_tabSolicitud_detail_table').is(':checked')) {
	        // Si el checkbox está seleccionado, mostramos el select
	        $('#urgenciaLayer').show();
	    } else {
	        // Si no está seleccionado, ocultamos el select
	        $('#urgenciaLayer').hide();
	        if($("#urgenciaDetailPapel0").val() != ''){
	        	 $("#urgenciaDetailPapel0").rup_combo("clear");
	        }
	       
	    }
	}
	function FN_controlTipoNot00(){
		if($("#T_idTipoNot00_tabSolicitud_detail_table").is(':checked')){
			
			
			$("#divDireccionNot").hide();
//			$('#dirNotcp06_detail_table').removeAttr("required");
//			$('#dirNotidprovincia06_detail_table_label').removeAttr("required");
//			$('#dirNotidmunicipio06_detail_table_label').removeAttr("required");
//			$('#dirNotidlocalidad06_detail_table_label').removeAttr("required");
//			$('#dirNotidcalle06_detail_table_label').removeAttr("required");
			$("label[for='dirNotcp06_detail_table']").removeClass('obligatorio');
			$("label[for='dirNotidprovincia06_detail_table_label']").removeClass('obligatorio');
			$("label[for='dirNotidmunicipio06_detail_table_label']").removeClass('obligatorio');
			$("label[for='dirNotidlocalidad06_detail_table_label']").removeClass('obligatorio');
			$("label[for='dirNotlocalidad06_detail_table']").removeClass('obligatorio');
			$("label[for='dirNotidcalle06_detail_table_label']").removeClass('obligatorio');
			$("label[for='dirNotcalle06_detail_table']").removeClass('obligatorio');
			
		}else if($("#P_idTipoNot00_tabSolicitud_detail_table").is(':checked')){
			
			
			$("#divDireccionNot").show();
//			$('#dirNotcp06_detail_table').attr("required","required");
//			$('#dirNotidprovincia06_detail_table_label').attr("required","required");
//			$('#dirNotidmunicipio06_detail_table_label').attr("required","required");
//			//$('#dirNotidlocalidad06_detail_table').attr("required","required");
//			//$('#dirNotidcalle06_detail_table').attr("required","required");
			$("label[for='dirNotcp06_detail_table']").addClass('obligatorio');
			$("label[for='dirNotidprovincia06_detail_table_label']").addClass('obligatorio');
			$("label[for='dirNotidmunicipio06_detail_table_label']").addClass('obligatorio');
			$("label[for='dirNotidcalle06_detail_table_label']").addClass('obligatorio');
			$("label[for='dirNotcalle06_detail_table']").addClass('obligatorio');
			
			$("label[for='dirNotidlocalidad06_detail_table_label']").addClass('obligatorio');
			$("label[for='dirNotlocalidad06_detail_table']").addClass('obligatorio');
			
		}
	}
	
	const FN_controlCanalNot = () => {
		
		if($("#A_canalNot00_tabSolicitud_detail_table").is(":checked")){
			$("#tlfnNotGrupo").show();
			$("#emailNotGrupo").show();
		}if($("#E_canalNot00_tabSolicitud_detail_table").is(":checked")){
			$("#emailNotGrupo").show();
			$("#tlfnNotGrupo").hide();
		}if($("#S_canalNot00_tabSolicitud_detail_table").is(":checked")){
			$("#tlfnNotGrupo").show();
			$("#emailNotGrupo").hide();
		}
	
	}
	
	const FN_controlConyuge = () => {
		if($("#S_exencionSol00_tabSolicitud_detail_table").is(':checked')){
			$("#conyugeGrupo").show();
		}else{
			$("#conyugeGrupo").hide();
			
		}
	}
	const FN_controlRepresentante = () => {
		var quienPresentaSol = $("[name='presentaSol00']:checked").val();
		if (quienPresentaSol == 0 || quienPresentaSol == undefined){
			$("#tipoIdentificadorRep00_tabSolicitud_detail_table").removeAttr("required");
			$("#identificadorRep00_tabSolicitud_detail_table").removeAttr("required");
			$("#identificadorRep00_tabSolicitud_detail_table").removeAttr("required");
			$("#camposRepresentante").hide();
		}else {
			
			$("#tipoIdentificadorRep00_tabSolicitud_detail_table").attr("required","required");
			$("#identificadorRep00_tabSolicitud_detail_table").attr("required","required");
			$("#identificadorRep00_tabSolicitud_detail_table").attr("required","required");
			$("#camposRepresentante").show();
		}
		
	}
	
	const FN_recibirDatosUsuario_NISAE = () => {
	    const identificadorSolicitante = $("#identificador01_tabSolicitud_detail_table").val(); 
	    const apellidoSolicitante = $("#apellido101_tabSolicitud_detail_table").val(); 
	    const fNacimientoSolicitante = $("#fNacimiento01_tabSolicitud_detail_table").val(); 
	    const tipoIden = $("#tipoIdentificador01_tabSolicitud_detail_table").val();
	    const url = $.rup.CTX_PATH + "recibirDatosNISAE/getDatosDGPInterop"; 
	    let data = {};
	    data.identificadorSolicitante = identificadorSolicitante;
	    data.idExpediente = $("#idExpediente00TabSolicitud").val();
	    data.tipoIden = tipoIden;
	    
	    if(apellidoSolicitante != ''){
	        data.apellidoSolicitante = apellidoSolicitante;
	    }
	    if(fNacimientoSolicitante != ''){
	        data.fNacimientoSolicitante = fNacimientoSolicitante;
	    }
	    
	    data = JSON.stringify(data);
	    Ad74aUtils.pintarAvisoInteroperabilidad("aviso_usuario", "", "");
//	    $("#nombre01_tabSolicitud_detail_table").removeClass("green");
//	    $("#apellido101_tabSolicitud_detail_table").removeClass("green");
//	    $("#apellido201_tabSolicitud_detail_table").removeClass("green");
//	    $("#fNacimiento01_tabSolicitud_detail_table").removeClass("green");
	    
	    if(identificadorSolicitante != '' && (apellidoSolicitante != '' || fNacimientoSolicitante != '')){
	         $.rup_ajax({
	                url: url,
	                type: 'POST',
	                data: data,
	                contentType: 'application/json',
	                dataType: 'json',
	                beforeSend: () => {
	                    $("#recibirDatosUsuario i").removeClass("mdi-file-send-outline");
	                    $("#recibirDatosUsuario i").addClass("mdi-spin mdi-loading");
	                    $("#recibirDatosUsuario").prop("disabled", true);
	                },
	                success: function (res) {
	                	console.log("#####ResultadoInteroperabilidad");
						console.log(res);
						let clase = "ok"
						if (res.codResultado == 1) {
							clase = "warning"
						}else if(res.codResultado == 2) {
							clase = "nook";
						}
						Ad74aUtils.pintarAvisoInteroperabilidad("aviso_usuario", clase, res.mensaje);
						//$("#aviso_usuario b").html(res.mensaje);
	                    
	                    if(res.codResultado == 0){
	                    	const datosDGP = res.resultadoDGP;
//	                    	if($("#nombre01_tabSolicitud_detail_table").val().toUpperCase() != datosDGP.nombre01.toUpperCase()){
//	                    		$("#nombre01_tabSolicitud_detail_table").addClass("green");
//	                    	}
	                        $("#nombre01_tabSolicitud_detail_table").val(datosDGP.nombre01);
//	                        if($("#apellido101_tabSolicitud_detail_table").val().toUpperCase() != datosDGP.apellido101.toUpperCase()){
//	                        	$("#apellido101_tabSolicitud_detail_table").addClass("green");
//	                    	}
	                        $("#apellido101_tabSolicitud_detail_table").val(datosDGP.apellido101);
//	                        if($("#apellido201_tabSolicitud_detail_table").val().toUpperCase() != datosDGP.apellido201.toUpperCase()){
//	                        	$("#apellido201_tabSolicitud_detail_table").addClass("green");
//	                    	}
	                        $("#apellido201_tabSolicitud_detail_table").val(datosDGP.apellido201);
//	                        if($("#fNacimiento01_tabSolicitud_detail_table").val().toUpperCase() != datosDGP.fNacimiento01.toUpperCase()){
//	                        	$("#fNacimiento01_tabSolicitud_detail_table").addClass("green");
//	                    	}
	                        $("#fNacimiento01_tabSolicitud_detail_table").val(datosDGP.fNacimiento01);
	                        if(datosDGP.sexo01 == 'M'){
	                            $("#H_sexo01_tabSolicitud_detail_table").click()
	                        }else{
	                            $("#M_sexo01_tabSolicitud_detail_table").click()
	                        }
	                    }
	                },
	                error: function (error) {
	                	Ad74aUtils.pintarAvisoInteroperabilidad("aviso_usuario", "nook", error);
	                },
	                complete: () => {
	                    $("#recibirDatosUsuario i").removeClass("mdi-spin mdi-loading");
	                    $("#recibirDatosUsuario i").addClass("mdi-file-send-outline");
	                    $("#recibirDatosUsuario").prop("disabled", false);
	                }
	            });
	    }else {
	    	Ad74aUtils.pintarAvisoInteroperabilidad("aviso_usuario", "nook", $.rup.i18n.app.errores.verificarIdentidadTipoError);	        
	    }
	    
	}
	
	const FN_verificarPadron_NISAE = () => {
		
		let identificadorSolicitante = $("#identificador01_tabSolicitud_detail_table").val(); 
		let apellidoSolicitante = $("#apellido101_tabSolicitud_detail_table").val(); 
		let apellido2 = $("#apellido201_tabSolicitud_detail_table").val(); 
		let fNacimientoSolicitante = $("#fNacimiento01_tabSolicitud_detail_table").val(); 
		let tipoIden = $("#tipoIdentificador01_tabSolicitud_detail_table").val();
		let nombre = $("#nombre01_tabSolicitud_detail_table").val();
		let cp = $("#dirContactocp06_detail_table").val();
		let provincia = $("#dirContactoidprovincia06_detail_table").rup_autocomplete('getRupValue');
		let municipio = $("#dirContactoidmunicipio06_detail_table").rup_autocomplete('getRupValue');
		let localidad = $("#dirContactoidlocalidad06_detail_table").rup_autocomplete('getRupValue');
		let calle = $("#dirContactoidcalle06_detail_table").rup_autocomplete('getRupValue');
		let portal = $("#dirContactoidportal06_detail_table").rup_autocomplete('getRupValue');
		let piso = $("#dirContactopiso06_detail_table").val();  
		let portalAlternativo = $("#dirContactoportal06_detail_table").val();
		
		let url = $.rup.CTX_PATH + "recibirDatosNISAE/getDatosPadronInterop"; 
		let data = {};
		data.identificadorSolicitante = identificadorSolicitante;
		data.idExpediente = $("#idExpediente00TabSolicitud").val();
		data.tipoIden = tipoIden;
		data.nombre = nombre;
		data.apellido2 = apellido2;
		data.cp = cp;
		data.provincia = provincia;
		data.municipio = municipio;
		data.localidad = localidad;
		data.calle = calle;
		data.portal = portal;
		data.piso = piso;
		data.portalAlternativo = portalAlternativo;
		
		if(apellidoSolicitante != ''){
			data.apellidoSolicitante = apellidoSolicitante;
		}
		if(fNacimientoSolicitante != ''){
			data.fNacimientoSolicitante = fNacimientoSolicitante;
		}
		data = JSON.stringify(data);
		
		Ad74aUtils.pintarAvisoInteroperabilidad("aviso_padron", "", "");
		
		if(identificadorSolicitante != '' && (apellidoSolicitante != '' || fNacimientoSolicitante != '') && provincia != '' && municipio != '' ){
			 $.rup_ajax({
					url: url,
					type: 'POST',
					data: data,
					contentType: 'application/json',
					dataType: 'json',
					success: function (res) {
						$("#verificarPadron i").removeClass("mdi-spin mdi-loading");
						$("#verificarPadron i").addClass("mdi-file-send-outline");
	                    $("#verificarPadron").prop("disabled", false);
	                    
	                    console.log("#####ResultadoInteroperabilidad");
						console.log(res);
						let clase = "ok"
						if (res.codResultado == 1) {
							clase = "warning"
						}else if(res.codResultado == 2) {
							clase = "nook";
						}
						Ad74aUtils.pintarAvisoInteroperabilidad("aviso_padron", clase, res.mensaje);
					},
					beforeSend: () => {
						$("#verificarPadron i").removeClass("mdi-file-send-outline");
	                    $("#verificarPadron i").addClass("mdi-spin mdi-loading");
	                    $("#verificarPadron").prop("disabled", true);
					},
					error: function (error) {
						Ad74aUtils.pintarAvisoInteroperabilidad("aviso_padron", "nook", error);
					},
					complete: () => {
						 $("#verificarPadron i").removeClass("mdi-spin mdi-loading");
		                 $("#verificarPadron i").addClass("mdi-file-send-outline");
		                 $("#verificarPadron").prop("disabled", false);
					}
				});
		}else{
			Ad74aUtils.pintarAvisoInteroperabilidad("aviso_dependencia", "nook", $.rup.i18n.app.errores.verificarPadronTipoError);
		}
		
	}
	
	const FN_verificarDependencia_NISAE = () => {
		
		let url = $.rup.CTX_PATH + "recibirDatosNISAE/getDatosDependencia"; 
		let identificadorSolicitante = $("#identificador01_tabSolicitud_detail_table").val();
		let idExpediente00 = $("#idExpediente00TabSolicitud").val();
		let tipoIden = $("#tipoIdentificador01_tabSolicitud_detail_table").val();
		let nombre = $("#nombre01_tabSolicitud_detail_table").val();
		let apellidoSolicitante = $("#apellido101_tabSolicitud_detail_table").val(); 
		let apellido2 = $("#apellido201_tabSolicitud_detail_table").val(); 
		
		if(identificadorSolicitante != '' && apellidoSolicitante != '' && nombre != ''){
			let data = {};
			data.identificadorSolicitante = identificadorSolicitante;
			data.idExpediente00 = idExpediente00;
			data.tipoIden = tipoIden;
			data.idSolicitante = idSolicitante01;
			data.nombre = nombre;
			data.apellidoSolicitante = apellidoSolicitante;
			data.apellido2 = apellido2;
			
			Ad74aUtils.pintarAvisoInteroperabilidad("aviso_dependencia", "", "");
			
			$.rup_ajax({
				url: url,
				type: 'POST',
				data: JSON.stringify(data),
				contentType: 'application/json',
				dataType: 'json',
				success: function (res) {					
					console.log("#####ResultadoInteroperabilidad");
					console.log(res);
					let clase = "ok"
					if (res.codResultado == 1) {
						clase = "warning"
					}else if(res.codResultado == 2) {
						clase = "nook";
					}
					Ad74aUtils.pintarAvisoInteroperabilidad("aviso_dependencia", clase, res.mensaje);
					
					if(res.resultadoDependencia != null) {
						const dep = res.resultadoDependencia;			
						console.log(dep);
						if(dep.fResolucion04 != null) {							
							$("#gradoDependencia04_tabSolicitud_detail_table").rup_combo("setRupValue",dep.idGradoDependencia04);
							$("#gradoDependencia04_tabSolicitud_detail_table").rup_combo("select", dep.idGradoDependencia04);
							$("#gradoDependencia04_tabSolicitud_detail_table").val(dep.idGradoDependencia04);
							$("#gradoDependencia04_tabSolicitud_detail_table").rup_combo("refresh");
							$("#fResolucion04_tabSolicitud_detail_table").val(dep.fResolucion04)
							$("#baremo04_tabSolicitud_detail_table").val(dep.baremo04);
						}
						
						$("#verificarDependencia i").removeClass("mdi-spin mdi-loading");
						$("#verificarDependencia i").addClass("mdi-file-send-outline");
						$("#verificarDependencia").prop("disabled", false);
					}
				},
				beforeSend: () => {
					$("#verificarDependencia i").removeClass("mdi-file-send-outline");
                    $("#verificarDependencia i").addClass("mdi-spin mdi-loading");
                    $("#verificarDependencia").prop("disabled", true);
				},
				error: function (error) {
					if(!$("#interoperabilidad").checked ){
						$("#verificarDependencia").prop("disabled", true);
					}else {
						$("#verificarDependencia").prop("disabled", false);
					}
					Ad74aUtils.pintarAvisoInteroperabilidad("aviso_dependencia", "nook", error);
				},
				complete: () => {
					$("#verificarDependencia i").removeClass("mdi-spin mdi-loading");
                    $("#verificarDependencia i").addClass("mdi-file-send-outline");
                    $("#verificarDependencia").prop("disabled", false);
				}
			});
		}else{
			Ad74aUtils.pintarAvisoInteroperabilidad("aviso_dependencia", "nook", $.rup.i18n.app.feedback.errorRecibirDependencia);
		}
		
	}
	
	const FN_pisosTutelados = () => {
		if($('#SI_pisoTutelado07_tabSolicitud_detail_table').is(':checked')){
			let provincia = $('#idprovincia06_tabSolicitud_detail_table').val();
			let municipio = $('#idmunicipio06_tabSolicitud_detail_table').val();
			data={};
			/*data.pisosTutelados.direcciones.provincia06 = provincia;
			data.pisosTutelados.direcciones.municipio06 = municipio;*/
			let url = $.rup.CTX_PATH + "combo/pisosTutelados?idProvincia06="+provincia+"$idMuniciopio06="+municipio; 
			/*$("#idPiso32_tabSolicitud_detail_table").rup_combo({
				source:  $.rup.CTX_PATH + 'combo/pisosTutelados?idProvincia06=' + $("#"+prefix+"idprovincia06_detail_table").val() + '&idMunicipio06=' + $("#"+prefix+"idmunicipio06_detail_table").val(),
				sourceParam: {label: "denominacion32", value:"idPiso32"},
				loadFromSelect:false,
				width: 'auto',
		        ordered: false,
				customClasses: ['select-material'],
				onLoadSuccess: function(obj){
//								$("#idPiso32_tabSolicitud_detail_table").rup_combo("disable");
//								if((isDSS || isAdmin) && !tieneExpAbierto) {
//									$("#idPiso32_tabSolicitud_detail_table").rup_combo("enable");
//								}
				},
				rowStriping: true
			});	*/
		}
	}
	
//	const Ad74aUtils.pintarAvisoInteroperabilidad = (id, clase, mensaje) => {
//		const avisoElem = document.getElementById(id);
//		avisoElem.classList.remove("ok", "warning", "nook");
//		$("#"+id).addClass(clase);
//		$("#"+id+" b").html(mensaje)
//	}
	
	const FN_verificarDiscapacidad_NISAE = () => {
		
		const url = $.rup.CTX_PATH + "recibirDatosNISAE/getDatosDiscapacidad"; 
		const identificadorSolicitante = $("#identificador01_tabSolicitud_detail_table").val();
		const idExpediente00 = $("#idExpediente00TabSolicitud").val();
		const tipoIden = $("#tipoIdentificador01_tabSolicitud_detail_table").val();
//		let provincia = $("#idprovincia06_tabSolicitud_detail_table").val();
		const provincia = $("#dirContactoidprovincia06_detail_table").rup_autocomplete('getRupValue');
		console.log("####provincia:"+provincia);
		
		Ad74aUtils.pintarAvisoInteroperabilidad("aviso_discapacidad", "", "");

		if(identificadorSolicitante != ''){
			let data = {};
			data.identificadorSolicitante = identificadorSolicitante;
			data.idExpediente00 = idExpediente00;
			data.tipoIden = tipoIden;
			data.idSolicitante = idSolicitante01;
			data.provincia = provincia;
		
			$.rup_ajax({
				url: url,
				type: 'POST',
				data: JSON.stringify(data),
				contentType: 'application/json',
				dataType: 'json',
				success: function (res) {
					console.log("#####ResultadoInteroperabilidad");
					console.log(res);
					let clase = "ok"
					if (res.codResultado == 1) {
						clase = "warning"
					}else if(res.codResultado == 2) {
						clase = "nook";
					}
					Ad74aUtils.pintarAvisoInteroperabilidad("aviso_discapacidad", clase, res.mensaje);
					
					if(res.resultadoDiscapacidad != null) {
						const dis = res.resultadoDiscapacidad; 						
						$("#descDiscapacidad71_tabSolicitud_detail_table").val(dis.descDiscapacidad71);
						
	    				if(dis.discapacidadFisica71 == 1){
	    					$("#discapacidadFisica71_tabSolicitud_detail_table").prop( "checked", true );	
	    				}else{
	    					$("#discapacidadFisica71_tabSolicitud_detail_table").prop( "checked", false);
	    				}
	    				
	    				if(dis.discapacidadIntelecto71 == 1){
	    					$("#discapacidadIntelecto71_tabSolicitud_detail_table").prop( "checked", true );	
	    				}else{
	    					$("#discapacidadIntelecto71_tabSolicitud_detail_table").prop( "checked", false);
	    				}
	    				
	    				if(dis.discapacidadSensorial71 == 1){
	    					$("#discapacidadSensorial71_tabSolicitud_detail_table").prop( "checked", true );	
	    				}else{
	    					$("#discapacidadSensorial71_tabSolicitud_detail_table").prop( "checked", false);
	    				}
					}
					$("#verificarDiscapacidad i").removeClass("mdi-spin mdi-loading");
					$("#verificarDiscapacidad i").addClass("mdi-file-send-outline");
                    $("#verificarDiscapacidad").prop("disabled", false);
				},
				beforeSend: () => {					
					$("#verificarDiscapacidad i").removeClass("mdi-file-send-outline");
                    $("#verificarDiscapacidad i").addClass("mdi-spin mdi-loading");
                    $("#verificarDiscapacidad").prop("disabled", true);
				},
				error: function (error) {
					Ad74aUtils.pintarAvisoInteroperabilidad("aviso_discapacidad", "nook", error.responseText);					
				},
				complete: () => {
                    $("#verificarDiscapacidad i").removeClass("mdi-spin mdi-loading");
                    $("#verificarDiscapacidad i").addClass("mdi-file-send-outline");
                    $("#verificarDiscapacidad").prop("disabled", false);
                }
			});
		}else{
			Ad74aUtils.pintarAvisoInteroperabilidad("aviso_discapacidad", "nook", $.rup.i18n.app.errores.errorRecibirDiscapacidad);
		}
		
	}
	const FNRefrescarPisoTutelado=(settings)=>{
		if($("#"+settings.prefix+"idprovincia06_detail_table").rup_autocomplete('getRupValue')!==''
			&& $("#"+settings.prefix+"idmunicipio06_detail_table").rup_autocomplete('getRupValue')!==''){
			const sourcePath = $.rup.CTX_PATH + 'combo/pisosTutelados?idProvincia06=' + 
			$("#"+settings.prefix+"idprovincia06_detail_table").rup_autocomplete('getRupValue') + 
			'&idMunicipio06=' + $("#"+settings.prefix+"idmunicipio06_detail_table").rup_autocomplete('getRupValue');
			$("#idPiso32_tabSolicitud_detail_table").rup_combo("setSource",sourcePath);
		}
	}
	const iniciarDireccionContacto = (direccion, prefix) => {
		
		// Mostrar/ocultar los datos alternativos inicialmente
		if($("#"+prefix+"idlocalidad06_detail_table").val() == ''){						
			$("#"+prefix+"localidadDesc").show();
			$("#"+prefix+"calleDesc").show();
			$("#"+prefix+"portalDesc").show();
		}else{
			$("#"+prefix+"localidadDesc").hide();
		}
		
		if($("#"+prefix+"idcalle06_detail_table").val() == ''){						
			$("#"+prefix+"calleDesc").show();
			$("#"+prefix+"portalDesc").show();
		}else{
			$("#"+prefix+"calleDesc").hide();
		}
		
		if($("#"+prefix+"idportal06_detail_table").val() == ''){
			$("#"+prefix+"portalDesc").show();
		}else{
			$("#"+prefix+"portalDesc").hide();
		}
		
		// Iniciar el componente dirección de contacto
		console.log("Iniciar el componente");
		console.log(direccion);		
		console.log(prefix);
		initDirComponentAutocomplete({
			"prefix": prefix,
			"direccion": direccion, 
			"pisoTutelado": true,
			"callbacks": {
				"general": {
					"success": () => {											
						
						$("#idPiso32_tabSolicitud_detail_table").rup_combo({
							source:  $.rup.CTX_PATH + 'combo/pisosTutelados?idProvincia06=' + direccion.idProvincia06 + '&idMunicipio06=' + direccion.idMunicipio06,
							sourceParam: {label: "denominacion32", value:"idPiso32"},
							loadFromSelect:false,
							width: 'auto',
					        ordered: false,
					        blank: '',
							customClasses: ['select-material'],
							onLoadSuccess: function(obj){
								if(obj[0].options.length > 1){
									$("#idPiso32_tabSolicitud_detail_table").rup_combo('refresh');
								}	
								$("#idPiso32_tabSolicitud_detail_table").change(function(){FN_verificarDireccionPisoTutelado()});
							},
							rowStriping: true
						});
					}
				},
				"municipio": {
					"change": () => {
						FNRefrescarPisoTutelado({
								"prefix": prefix});	
					},
				},
				"localidad": {
					"change": () => {
 						// TODO: refrescar pisostutelados	
//						FNRefrescarPisoTutelado({
//							"prefix": prefix});	
						FN_verificarDireccionPisoTutelado();
					},
				},
				"calle": {
					"change": () => {						
						FNRefrescarPisoTutelado({
							"prefix": prefix});	
						FN_verificarDireccionPisoTutelado();
						
					},
				},
				"portal": {
					"change": () => {						
						FNRefrescarPisoTutelado({
							"prefix": prefix});	
						FN_verificarDireccionPisoTutelado();
					},
						}
					}
		});
	}
	
	const iniciarDireccionNotificacion = (direccion, prefix) => {
		
		// Mostrar/ocultar los datos alternativos inicialmente
		if($("#"+prefix+"idlocalidad06_detail_table").val() == ''){						
			$("#"+prefix+"localidadDesc").show();
			$("#"+prefix+"calleDesc").show();
			$("#"+prefix+"portalDesc").show();
		}else{
			$("#"+prefix+"localidadDesc").hide();
		}
		
		if($("#"+prefix+"idcalle06_detail_table").val() == ''){						
			$("#"+prefix+"calleDesc").show();
			$("#"+prefix+"portalDesc").show();
		}else{
			$("#"+prefix+"calleDesc").hide();
		}
		
		if($("#"+prefix+"idportal06_detail_table").val() == ''){
			$("#"+prefix+"portalDesc").show();
		}else{
			$("#"+prefix+"portalDesc").hide();
		}
		
		// Iniciar el componente dirección de contacto
	//	console.log("Iniciar el componente");
	//	console.log(direccion);
		initDirComponentAutocomplete({
			"prefix": prefix,
			"direccion": direccion, 
			"pisoTutelado": false,
			"provinciasNoCAV":true,
			"callbacks": {
				"general": {
					"success": () => {}
				},
//				"localidad": {
//					"change": () => {
//						if($("#"+prefix+"idlocalidad06_detail_table").rup_autocomplete("getRupValue") == ''
//							|| $("#"+prefix+"idlocalidad06_detail_table_label").val() == ''){						
//							$("#"+prefix+"localidadDesc").show();
//						}else{
//							$("#"+prefix+"localidadDesc").hide();
//						}
//					},
//				},
//				"calle": {
//					"change": () => {
//						if($("#"+prefix+"idcalle06_detail_table").rup_autocomplete("getRupValue") == ''
//							|| $("#"+prefix+"idcalle06_detail_table_label").val() == ''){						
//							$("#"+prefix+"calleDesc").show();					
//							$("#"+prefix+"portalDesc").show();
//							$("#"+prefix+"calleNora").hide();
//							$("#"+prefix+"portaNora").hide();
//						}else{
//							$("#"+prefix+"calleDesc").hide();
//							$("#"+prefix+"portalDesc").hide();
//							$("#"+prefix+"calleNora").show();
//							$("#"+prefix+"portaNora").hide();
//						}
//					},
//				},
//				"portal": {
//					"change": () => {	
//						if($("#"+prefix+"idportal06_detail_table").rup_autocomplete("getRupValue") == ''
//							|| $("#"+prefix+"idportal06_detail_table_label").val() == ''){						
//							$("#"+prefix+"portalDesc").show();
//						}else{
//							$("#"+prefix+"portalDesc").hide();
//						}
//					},
//				}
						}
		});
	}
	
});
